package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CostBelongEnum {
	/**
	 * 费用归属：0_无归属；1_工头；2_产地；3_司机；
	 */
	NONE_TYPE(0, "无归属"),
	WORKER_TYPE(1, "工头"),
	PRODUCTION_TYPE(2, "产地"),
	DRIVER_TYPE(3, "司机"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
